Summary: A text formatting package based on SGML
Name: linuxdoc-tools
Version: 0.9.82
Release: %mkrel 3
License: Copyright only
Group: Publishing
Url: https://gitlab.com/agmartin/linuxdoc-tools
Source: https://gitlab.com/agmartin/linuxdoc-tools/-/archive/%{version}/linuxdoc-tools-%{version}.tar.gz
Patch02: 0002-downstream-Added-fix-to-have-lib64-in-perl-path-on-6.patch
Patch3: linuxdoc-tools-c99.patch
Patch4: linuxdoc-tools-c89.patch
Requires: jade
Requires: groff
Requires: latex
#gw needed by sgml2info
Requires: texinfo
BuildRequires:	flex
BuildRequires:	openjade
BuildRequires:	sgml-common
BuildRequires:	groff-for-man
Provides: sgml-tools
Provides: linuxdoc-sgml

%description
Linuxdoc-tools is a text formatting suite based on SGML (Standard
Generalized Markup Language), using the LinuxDoc document type.
Linuxdoc-tools allows you to produce LaTeX, HTML, GNU info, LyX, RTF,
plain text (via groff), and other format outputs from a single SGML
source.  Linuxdoc-tools is intended for writing technical software
documentation.

%prep
%autosetup -p1

%build
# fix warnings on aarch64
autoreconf -vfi

%configure --with-installed-nsgmls --with-installed-iso-entities --disable-docs
# Packaging brain-damage
( cd entity-map
  autoreconf -vfi
  %configure --enable-docs pdf
)
%make_build

%install
%make_install perl5libdir=%{perl_vendorlib}

#Copy license files for parts into docdir
mkdir -p %{buildroot}%{_docdir}/%{name}/sgmls-1.1
cp -p sgmls-1.1/LICENSE %{buildroot}%{_docdir}/%{name}/sgmls-1.1/LICENSE
mkdir -p %{buildroot}%{_docdir}/%{name}/iso-entities
cp -p iso-entities/COPYING %{buildroot}%{_docdir}/%{name}/iso-entities/COPYING
mkdir -p %{buildroot}%{_docdir}/%{name}/entity-map
cp -p entity-map/COPYING %{buildroot}%{_docdir}/%{name}/entity-map/COPYING
cp -p COPYING %{buildroot}%{_docdir}/%{name}

# Some files need moving around.
rm -f %{buildroot}%{_datadir}/%{name}/epsf.*
rm -f %{buildroot}%{_datadir}/%{name}/url.sty
install -d %{buildroot}%{_datadir}/texmf/tex/latex/misc
mv %{buildroot}%{_datadir}/%{name}/*.sty \
    %{buildroot}%{_datadir}/texmf/tex/latex/misc

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%files
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/entity-map/
%{_datadir}/texmf/tex/latex/misc/*.sty
%{perl_vendorlib}/Text/EntityMap.pm
%{perl_vendorlib}/LinuxDocTools.pm
%{perl_vendorlib}/LinuxDocTools
%{_mandir}/*/*


%changelog
* Fri Oct 18 2024 daviddavid <daviddavid> 0.9.82-3.mga10
+ Revision: 2107879
- add fedora patches to fix build with GCC 14

* Sat Mar 19 2022 umeabot <umeabot> 0.9.82-2.mga9
+ Revision: 1800370
- Mageia 9 Mass Rebuild

* Thu Jan 27 2022 mrambo3501 <mrambo3501> 0.9.82-1.mga9
+ Revision: 1770060
- version 0.9.82

* Fri Feb 14 2020 umeabot <umeabot> 0.9.73-2.mga8
+ Revision: 1519162
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 04 2018 wally <wally> 0.9.73-1.mga7
+ Revision: 1317491
- new version 0.9.73

* Sun Sep 23 2018 umeabot <umeabot> 0.9.72-4.mga7
+ Revision: 1299314
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 wally <wally> 0.9.72-3.mga7
+ Revision: 1236394
- fix build time warnings on aarch64

* Thu Sep 07 2017 guillomovitch <guillomovitch> 0.9.72-2.mga7
+ Revision: 1151802
- drop useless dependency on docbook-utils

* Sat Sep 02 2017 guillomovitch <guillomovitch> 0.9.72-1.mga7
+ Revision: 1150660
- new version 0.9.72

* Sat Jun 18 2016 pterjan <pterjan> 0.9.21-21.mga6
+ Revision: 1022155
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.9.21-20.mga6
+ Revision: 942943
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.21-19.mga5
+ Revision: 744071
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.21-18.mga5
+ Revision: 681953
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.21-17.mga4
+ Revision: 507507
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.21-16.mga3
+ Revision: 358855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 pterjan <pterjan> 0.9.21-15.mga3
+ Revision: 323248
- Fix build

* Fri Mar 04 2011 boklm <boklm> 0.9.21-14.mga1
+ Revision: 64136
- require latex instead of tetex-latex

* Sun Jan 09 2011 blino <blino> 0.9.21-13.mga1
+ Revision: 2746
- imported package linuxdoc-tools


* Thu Jul 22 2010 Funda Wang <fwang@mandriva.org> 0.9.21-13mdv2011.0
+ Revision: 557031
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.21-12mdv2010.1
+ Revision: 520143
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9.21-11mdv2010.0
+ Revision: 425981
- rebuild

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 0.9.21-10mdv2009.1
+ Revision: 365706
- use configure2_5x
- rediff letter patch

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.9.21-9mdv2009.0
+ Revision: 223115
- rebuild

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.9.21-8mdv2008.1
+ Revision: 155506
- add missing dep on texinfo

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.9.21-7mdv2008.1
+ Revision: 152855
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 0.9.21-5mdk
- buildrequires groff-for-man or else sgml2txt is likely to be unusable
  (and can for example break pam build)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9.21-4mdk
- Rebuild

* Wed Mar 23 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.9.21-3mdk
- Added Patch2, for having pdflatex detection more robust.

* Tue Oct 26 2004 Camille Begnis <camille@mandrakesoft.com> 0.9.21-2mdk
- Rebuild
- Source URL is broken, can't find any.

* Fri Aug 08 2003 <camille@ke.mandrakesoft.com> 0.9.21-1mdk
- 0.9.21
- removed Obsoletes: sgml-tools
- added Requires: docbook-utils

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.20-5mdk
- rebuild

